UUIDPARSE(1)

NAME
uuidparse - a utility to parse unique identifiers

SYNOPSIS

uuidparse [options] uuid

DESCRIPTION

This command will parse unique identifier inputs from either command line arguments or standard input. The inputs are white-space separated.

OUTPUT

  Variants
NCS | Network Computing System identifier. These were the original UUIDs.
DCE | The Open Software Foundation’s (OSF) Distributed Computing Environment UUIDs.
Microsoft | Microsoft Windows platform globally unique identifier (GUID).
other | Unknown variant. Usually invalid input data.

  Types
nil | Special type for zero in type file.
time-based | The DCE time based.
DCE | The DCE time and MAC Address.
name-based | RFC 4122 md5sum hash.
random | RFC 4122 random.
sha1-based | RFC 4122 sha-1 hash.
unknown | Unknown type. Usually invalid input data.

OPTIONS

-J, --json
    Use JSON output format.

-n, --noheadings
    Do not print a header line.

-o, --output
    Specify which output columns to print. Use --help to get a list of all supported columns.

-r, --raw
    Use the raw output format.

-h, --help
    Display help text and exit.

-V, --version
    Display version and exit.

AUTHORS

SEE ALSO

uuidgen(1), libuuid(3),

REPORTING BUGS

For bug reports, use the

AVAILABILITY

The uuidparse command is part of the util-linux package which can be downloaded from